# Get Pipeline Min Max Aggregation Metadata

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Min Max Aggregation Metadata"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/meta/{meta_field}/aggregation"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the minimum and maximum values of a metadata field for the connected index of a given pipeline.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline whose files you want to display.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline whose files you want to display.","title":"Pipeline Name","type":"string"}},{"description":"The name of the metadata field to get the min and max values for.","in":"path","name":"meta_field","required":true,"schema":{"description":"The name of the metadata field to get the min and max values for.","title":"Meta Field","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"max":{"anyOf":[{"type":"number"},{"type":"string"},{"type":"null"}],"description":"The maximum value of the metadata field.","title":"Maximum Value of the Metadata Field"},"min":{"anyOf":[{"type":"number"},{"type":"string"},{"type":"null"}],"description":"The minimum value of the metadata field.","title":"Minimum Value of the Metadata Field"}},"required":["min","max"],"title":"PipelineMetadataAggregation","type":"object"}}},"description":"Min and max value aggregation of the meta_field"},"400":{"description":"The metadata field '{meta_field}' doesn't exist or doesn't support aggregation."},"404":{"description":"The pipeline you specified doesn't exist in this workspace. Check if the pipeline name is correct."},"412":{"description":"This pipeline hasn't been deployed and indexed yet. Deploy this pipeline to fetch the metadata."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
